<?php

	$session = $this->getSession();
	$registry = $this->getRegistry();
	  
	// appel fichier internalisation	
	$i18n = $this->getRegistry()->get('i18n');
	$filter_html = new Yab_Filter_Html();
	$filter_no_html = new Yab_Filter_NoHtml();
	
	$pager = new Yab_Helper_Pager($us_anterieurs, 'pager_us_anterieur');
// $us_anterieurs = $pager->getStatement();

?>


<table class="table table-striped table-bordered table-hover table-condensed table-responsive table-panel">
  <thead>
		<tr>
			<th class="col-<?php echo $form_superposition->getElement('anterieur_id')->get('id'); ?>"
				champs="<?php echo $form_superposition->getElement('anterieur_id')->get('id'); ?>">
				<?php echo $filter_html->filter( $i18n -> say('identification')) ; ?>
			</th>
			<th class="col-<?php echo $form_superposition->getElement('incertitude')->get('id'); ?>"
				champs="<?php echo $form_superposition->getElement('incertitude')->get('id'); ?>">
				<?php echo $filter_html->filter( $i18n -> say('incertitude')) ; ?>
			</th>
			<th class="col-<?php echo $form_superposition->getElement('sptype_id')->get('id'); ?>"
				champs="<?php echo $form_superposition->getElement('sptype_id')->get('id'); ?>">
				<?php echo $filter_html->filter( $i18n -> say('type')) ; ?>
			</th>


			<?php if ($v_action) { ?>
			<th class="col-action">
				<?php echo $filter_html->filter( $i18n -> say('action')) ; ?>
			</th>
			<?php } ?>
		</tr>
	</thead>
 	<tbody>
	<?php 
		foreach($us_anterieurs as $us_anterieur): 
			$anterieur_id = $us_anterieur->get('anterieur_id');
			$observation =	$us_anterieur->get('observation', $filter_html); 
			$incertitude = $us_anterieur->get('incertitude' );
	?>
		<tr class="table-relation-row">
			<td class="table-row-data">
				<a href="<?php echo $this->getRequest('Us', 'show', array($us_anterieur->get('anterieur_id' ))); ?>" target="_blank">
				<?php echo $us_anterieur->get('us_ante_identification', $filter_html); ?>
				</a>
			</td>
			<td class="table-row-data">
			<?php if (!empty($incertitude) ) { ?>
				<span class="glyphicon glyphicon-ok"></span>
			<?php } ?>
			</td>
			<td class="table-row-data"><?php echo $us_anterieur->get('sptype', $filter_html); ?></td>
			<?php if ($v_action) { ?>
			<td><a href="#" class="del-row-button"><span class="glyphicon glyphicon-remove-circle danger" style="font-size: 18px;" alt="Supprimer" title="Supprimer"></span></a></td>
			<?php } ?>
			<input type="hidden" champs="<?php echo $form_superposition->getElement('posterieur_id')->get('id') ?>" value="<?php echo $us_anterieur->get('posterieur_id' )?>" />
			<input type="hidden" champs="<?php echo $form_superposition->getElement('anterieur_id')->get('id') ?>" value="<?php echo $us_anterieur->get('anterieur_id' )?>"
				   val="<?php echo $us_anterieur->get('us_ante_identification' )?>"/>
			<input type="hidden" champs="<?php echo $form_superposition->getElement('incertitude')->get('id') ?>" value="<?php echo $us_anterieur->get('incertitude' )?>"  />
			<input type="hidden" champs="<?php echo $form_superposition->getElement('sptype_id')->get('id') ?>" value="<?php echo $us_anterieur->get('sptype_id' )?>" />
			<input type="hidden" champs="<?php echo $form_superposition->getElement('duree_min_certain')->get('id') ?>" value="<?php echo $us_anterieur->get('duree_min_certain' )?>" />
			<input type="hidden" champs="<?php echo $form_superposition->getElement('duree_max_certain')->get('id') ?>" value="<?php echo $us_anterieur->get('duree_max_certain' )?>" />
			<input type="hidden" champs="<?php echo $form_superposition->getElement('duree_min_estim')->get('id') ?>" value="<?php echo $us_anterieur->get('duree_min_estim' )?>" />
			<input type="hidden" champs="<?php echo $form_superposition->getElement('duree_max_estim')->get('id') ?>" value="<?php echo $us_anterieur->get('duree_max_estim' )?>" />
			<input type="hidden" champs="<?php echo $form_superposition->getElement('observation')->get('id') ?>" value="<?php echo $us_anterieur->get('observation' )?>" />
		</tr>
	<?php endforeach; ?>
	</tbody>
</table>